<h1 mat-dialog-title>Add Product Form</h1>
<div mat-dialog-content>
  <form [formGroup]="productForm">
    <mat-form-field appearance="fill">
      <mat-label>Product Name</mat-label>
      <input formControlName="name"  matInput type="string">
    </mat-form-field>
    <mat-form-field appearance="fill">
      <mat-label>Quantity</mat-label>
      <input formControlName="quantity" matInput>
    </mat-form-field>
    <mat-form-field appearance="fill">
      <mat-label>Price</mat-label>
      <input formControlName="price" matInput>
      <span matPrefix>$&nbsp;</span>
      <span matSuffix>.00</span>
    </mat-form-field>
    <span class="red" *ngIf="productForm.invalid && productForm.touched">Please complete the information.</span>
  </form>
</div>
<div mat-dialog-actions [align]="'end'">
<button mat-raised-button color="basic" mat-dialog-close (click)="addProduct()" [disabled]="productForm.invalid">{{actionBtn}}</button>
<button mat-raised-button color="warn" mat-dialog-close>Close</button>
</div>